summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Albers2015-08-03 00:30:39 +0200
committerDaniel Albers2015-08-03 00:30:51 +0200
commitbe932d9512e85764c2874b0e31e79225a9a74c19 (patch)
tree849451d7f250f1af0a236fb621b742fa97bc6ab0
downloadaur-be932d9512e85764c2874b0e31e79225a9a74c19.tar.gz
Squashed commit of the following:
commit 63a0b88eb9a6db4a85cb64ed01d6560b7225edc1 Author: Daniel Albers <daniel@lbe.rs> Date: Mon Aug 3 00:29:42 2015 +0200 new file: .SRCINFO commit 4b3bcf9ce3555a79d5d486c15b5d1081e3fb25b9 Author: Daniel Albers <daniel@lbe.rs> Date: Mon Mar 9 01:33:23 2015 +0100 bacula: optdeps, lzo commit d2025092feebffcd42bf2a38187eb09097f2cb6e Author: Daniel Albers <daniel@lbe.rs> Date: Fri Mar 6 02:10:52 2015 +0100 fix quotes commit cbe63180dc32401fc45c330884545998cd76a79e Author: Daniel Albers <daniel@lbe.rs> Date: Fri Mar 6 02:03:40 2015 +0100 re-add bacula-dir-mysql commit 994231a6052ecc4476762c66d6431d6da48be247 Author: Daniel Albers <daniel@lbe.rs> Date: Fri Mar 6 00:27:01 2015 +0100 bacula: add conflicts for director backends commit b6cb085fc5118330354045f999ef66f4c4d99a7d Author: Daniel Albers <daniel@lbe.rs> Date: Wed Mar 4 23:52:45 2015 +0100 bacula: PKBUILD fixes commit 7ce68d0f5474bc17ea4b64bc420340a53f2fee95 Author: Georg Altmann <george@george-net.de> Date: Wed Mar 4 23:51:04 2015 +0100 bacula: PKGBUILD fixes commit d3f5957967f7c9eca17c198c6c6a6e5dae70445d Author: Daniel Albers <daniel@lbe.rs> Date: Mon Dec 1 01:16:06 2014 +0100 bacula 7.0.5 commit 41caa14b52555fcd64e29b09fe44e8d5f21bb28a Author: Daniel Albers <daniel@lbe.rs> Date: Thu Jul 24 18:54:15 2014 +0200 bacula: use variables extensively commit 21587a3136136de4808bcaf671fc5ccea8cd8978 Author: Daniel Albers <daniel@lbe.rs> Date: Wed Jul 23 17:52:27 2014 +0200 bacula: pkgdescs commit 3e8a093d7347b6129773b8af0be8222dc2e2d187 Author: Daniel Albers <daniel@lbe.rs> Date: Wed Jul 23 17:10:29 2014 +0200 bacula: optional dependencies commit d8521c75344a45da464d97da37b24ca06d216542 Author: Daniel Albers <daniel@lbe.rs> Date: Wed Jul 23 17:00:09 2014 +0200 bacula: transition from MySQL to MariaDB commit 6bf44e5a3d2e5b6a0a851337d11e4a13606833fc Author: Daniel Albers <daniel@lbe.rs> Date: Wed Jul 23 16:52:31 2014 +0200 bacula: fix a lot commit 64a0b4cf7d5f0b3984004a1646229ec83598f518 Merge: 7709063 3ea984f Author: Daniel Albers <daniel@lbe.rs> Date: Wed Jul 23 15:44:49 2014 +0200 Merge branch 'crc' commit 3ea984fe5513639be690ec2e1587b43ad271b3a1 Author: Daniel Albers <daniel@lbe.rs> Date: Wed Jul 23 12:39:32 2014 +0200 version by CRCinAU commit 77090638b0f83b253d7582c6c20df1240a6e0d4b Author: Daniel Albers <daniel@lbe.rs> Date: Wed Jul 23 11:42:29 2014 +0200 pkgbase=bacula is already taken in aur commit 40ebcc0e56a106e2c91bc59563c73a45be067de7 Author: Daniel Albers <daniel@lbe.rs> Date: Wed Jul 23 11:41:45 2014 +0200 bacula: turn into a real split package also update commit 21cc5070226430e4cf11b6dd598965661fe4cd02 Author: Daniel Albers <daniel@lbe.rs> Date: Mon Apr 28 23:06:56 2014 +0200 bump bacula to 7.0.2 commit 833a47e428e589e7734e04e7b4e3d38e76bc012a Author: Daniel Albers <daniel@lbe.rs> Date: Wed Jan 22 19:13:52 2014 +0100 bacula-fd.service commit 93d91c363b2a082670c530ed19fd2bde79b64fef Author: Daniel Albers <daniel@lbe.rs> Date: Wed Jan 22 19:12:47 2014 +0100 circumvent new AUR split package detection commit e517467b465922b06b2f6c2169af592e0c7f7de5 Author: Daniel Albers <daniel@lbe.rs> Date: Wed Jan 22 18:50:24 2014 +0100 bacula: use $pkgbase more often commit f14b217bd358710dec6dbc6740b133739076303d Author: Daniel Albers <daniel@lbe.rs> Date: Sat Dec 7 23:57:38 2013 +0100 fix bacula pkgdescs commit 27f2892993caffa8427765b18c371ea11dda44d6 Author: Daniel Albers <daniel@lbe.rs> Date: Sat Dec 7 23:56:16 2013 +0100 bacula-bat/ -> bacula/
-rw-r--r--.SRCINFO82
-rw-r--r--00-qmake4.patch13
-rw-r--r--PKGBUILD335
3 files changed, 430 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..8a40393fd3a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,82 @@
+pkgbase = bacula
+ pkgdesc = Bacula - A Network Backup Tool
+ pkgver = 7.0.5
+ pkgrel = 3
+ url = http://www.bacula.org
+ arch = i686
+ arch = x86_64
+ license = AGPL3
+ makedepends = sqlite
+ makedepends = libmariadbclient
+ makedepends = postgresql-libs
+ makedepends = qt4
+ optdepends = openssl: network encryption between daemons
+ source = http://downloads.sourceforge.net/sourceforge/bacula/bacula-7.0.5.tar.gz
+ source = 00-qmake4.patch
+ md5sums = b4a99d673f5e1eaae8b257ccc610241f
+ md5sums = 9ac88867a9ad3a4fe0486a26d0cdb542
+ sha1sums = 3c4b2430960daf2607e824f0c0641f65023e43ce
+ sha1sums = 58a60e8af9b4735c564c7223c2bf0c25803927f3
+
+pkgname = bacula-common
+ pkgdesc = Bacula - A Network Backup Tool (common files)
+
+pkgname = bacula-console
+ pkgdesc = Bacula - A Network Backup Tool (management CLI)
+ depends = bacula-common=7.0.5
+ backup = etc/bacula/bconsole.conf
+
+pkgname = bacula-fd
+ pkgdesc = Bacula - A Network Backup Tool (file daemon)
+ depends = bacula-common=7.0.5
+ depends = tcp_wrappers
+ optdepends = openssl: network encryption between daemons
+ optdepends = lzo: LZO compression for Storage Daemon
+ backup = etc/bacula/bacula-fd.conf
+
+pkgname = bacula-bat
+ pkgdesc = Bacula - A Network Backup Tool (management GUI)
+ depends = bacula-common=7.0.5
+ depends = qt4
+ backup = etc/bacula/bat.conf
+
+pkgname = bacula-sd
+ pkgdesc = Bacula - A Network Backup Tool (Storage Daemon)
+ depends = bacula-common
+ optdepends = openssl: network encryption between daemons
+ optdepends = lzo: LZO compression for Storage Daemon
+ backup = etc/bacula/bacula-sd.conf
+
+pkgname = bacula-dir
+ pkgdesc = Bacula - A Network Backup Tool (Director)
+ depends = bacula-common=7.0.5
+ optdepends = bacula-dir-sqlite3: SQLite support
+ optdepends = bacula-dir-mariadb: MariaDB support
+ optdepends = bacula-dir-postgresql: PostgreSQL support
+ backup = etc/bacula/bacula-dir.conf
+
+pkgname = bacula-dir-sqlite3
+ pkgdesc = Bacula - A Network Backup Tool (Director - SQLite3 support)
+ depends = bacula-dir
+ depends = sqlite
+ conflicts = bacula-dir-mariadb
+ conflicts = bacula-dir-postgresql
+
+pkgname = bacula-dir-mariadb
+ pkgdesc = Bacula - A Network Backup Tool (Director - MariaDB support)
+ depends = bacula-dir
+ depends = libmariadbclient
+ conflicts = bacula-dir-sqlite3
+ conflicts = bacula-dir-postgresql
+
+pkgname = bacula-dir-postgresql
+ pkgdesc = Bacula - A Network Backup Tool (Director - PostgreSQL support)
+ depends = bacula-dir
+ depends = postgresql-libs
+ conflicts = bacula-dir-sqlite3
+ conflicts = bacula-dir-mariadb
+
+pkgname = bacula-dir-mysql
+ pkgdesc = Bacula - A Network Backup Tool (transition package)
+ depends = bacula-dir-mariadb
+
diff --git a/00-qmake4.patch b/00-qmake4.patch
new file mode 100644
index 00000000000..524ba820f9a
--- /dev/null
+++ b/00-qmake4.patch
@@ -0,0 +1,13 @@
+diff --git a/src/bacula-5.2.13/configure b/src/bacula-5.2.13/configure
+index 21b2a51..6ef7dd2 100755
+--- a/src/bacula-5.2.13/configure
++++ b/src/bacula-5.2.13/configure
+@@ -5601,7 +5601,7 @@ fi
+
+
+ # Extract the first word of "qmake", so it can be a program name with args.
+-set dummy qmake; ac_word=$2
++set dummy qmake-qt4; ac_word=$2
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+ $as_echo_n "checking for $ac_word... " >&6; }
+ if ${ac_cv_path_QMAKE+:} false; then :
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..58b572511fa
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,335 @@
+# Maintainer: Daniel Albers <daniel@lbe.rs>
+# Contributor: Steven Haigh <netwiz@crc.id.au>
+# Contributor: Georg Altmann <george@george-net.de>
+# bacula-fd.service by Christian Hesse <arch@eworm.de>
+
+pkgbase='bacula'
+_dir_backends=("${pkgbase}-dir-sqlite3" "${pkgbase}-dir-mariadb" "${pkgbase}-dir-postgresql")
+pkgname=("${pkgbase}-common" "${pkgbase}-console" "${pkgbase}-fd" "${pkgbase}-bat" "${pkgbase}-sd" "${pkgbase}-dir" ${_dir_backends[@]} "${pkgbase}-dir-mysql")
+pkgver=7.0.5
+pkgrel=3
+arch=(i686 x86_64)
+pkgdesc="${pkgbase^} - A Network Backup Tool"
+url="http://www.${pkgbase}.org"
+license=('AGPL3')
+optdepends=('openssl: network encryption between daemons')
+makedepends=('sqlite' 'libmariadbclient' 'postgresql-libs' 'qt4')
+source=("http://downloads.sourceforge.net/sourceforge/${pkgbase}/${pkgbase}-${pkgver}.tar.gz"
+ '00-qmake4.patch'
+ )
+
+md5sums=('b4a99d673f5e1eaae8b257ccc610241f'
+ '9ac88867a9ad3a4fe0486a26d0cdb542')
+sha1sums=('3c4b2430960daf2607e824f0c0641f65023e43ce'
+ '58a60e8af9b4735c564c7223c2bf0c25803927f3')
+
+_instdir="${startdir}/install"
+_workdir="/var/lib/${pkgbase}"
+
+_genfiles() {
+ > "${srcdir}/${pkgbase}-dir.service" cat <<-EOF
+ #
+ # ${pkgbase^} Director Daemon service
+ #
+
+ [Unit]
+ Description=${pkgbase^} Director
+ Alias=${pkgbase}-dir
+ Requires=network.target
+ After=network.target remote-fs.target syslog.target
+ # Dependency about the database
+ # We let administrators decide if they need it (if local db instance)
+ #Wants=sqlite3.service
+ # Check if working dir exist and is a directory
+ ConditionPathIsDirectory=${_workdir}
+
+ [Service]
+ Type=forking
+ Restart=always
+ PIDFile=/run/${pkgbase}-dir.9101.pid
+ # EnvironmentFile=-/etc/sysconfig/${pkgbase}-dir
+ ExecStart=/usr/bin/${pkgbase}-dir -c /etc/${pkgbase}/${pkgbase}-dir.conf
+
+ [Install]
+ WantedBy=multi-user.target
+ EOF
+
+ > "${srcdir}/${pkgbase}-fd.service" cat <<-EOF
+ #
+ # ${pkgbase^} File Daemon service
+ #
+
+ [Unit]
+ Description=${pkgbase^} File Daemon
+ Requires=network.target
+ After=network.target remote-fs.target syslog.target
+
+ [Service]
+ Type=forking
+ Restart=always
+ ExecStart=/usr/bin/${pkgbase}-fd -c /etc/${pkgbase}/${pkgbase}-fd.conf
+ IOSchedulingClass=idle
+ PIDFile=/run/${pkgbase}-fd.9102.pid
+
+ [Install]
+ WantedBy=multi-user.target
+ EOF
+
+ > "${srcdir}/${pkgbase}-sd.service" cat <<-EOF
+ #
+ # ${pkgbase^} Storage Daemon service
+ #
+
+ [Unit]
+ Description=${pkgbase^} Storage Daemon
+ Requires=network.target
+ After=network.target remote-fs.target syslog.target
+
+ [Service]
+ Type=forking
+ Restart=always
+ PIDFile=/run/${pkgbase}-sd.9103.pid
+ # EnvironmentFile=-/etc/sysconfig/${pkgbase}-sd
+ ExecStart=/usr/bin/${pkgbase}-sd -c /etc/${pkgbase}/${pkgbase}-sd.conf
+
+ [Install]
+ WantedBy=multi-user.target
+ EOF
+}
+
+prepare() {
+ pushd "${srcdir}/${pkgbase}-${pkgver}"
+ patch -Np3 -i ${srcdir}/00-qmake4.patch || true
+ _genfiles
+ popd
+}
+
+build() {
+ pushd "${srcdir}/${pkgbase}-${pkgver}"
+
+ ./configure \
+ --enable-bat \
+ --enable-smartalloc \
+ --prefix=/usr \
+ --sbindir=/usr/bin \
+ --sysconfdir=/etc/${pkgbase} \
+ --with-scriptdir=/etc/${pkgbase}/scripts \
+ --with-sqlite3 \
+ --with-mysql \
+ --with-postgresql \
+ --with-pid-dir=/run \
+ --with-systemd=/usr/lib/systemd/system \
+ --with-tcp-wrappers \
+ --with-logdir=/var/log/${pkgbase} \
+ --with-working-dir=${_workdir} \
+ --with-x
+
+ make DESTDIR="$_instdir" install
+ popd
+}
+
+package_bacula-bat() {
+ pkgdesc="${pkgdesc} (management GUI)"
+ backup=("etc/${pkgbase}/bat.conf")
+ depends=("${pkgbase}-common=${pkgver}" 'qt4')
+ pushd "${_instdir}"
+
+ cp --parents -a usr/bin/bat ${pkgdir}
+ cp --parents -a etc/${pkgbase}/bat.conf ${pkgdir}
+ cp --parents -a usr/share/man/man1/bat.1.gz ${pkgdir}
+
+ chmod 755 ${pkgdir}/etc/${pkgbase} ${pkgdir}/usr/bin/bat
+ chmod 644 ${pkgdir}/etc/${pkgbase}/bat.conf
+
+ mkdir -p ${pkgdir}/usr/share/applications ${pkgdir}/usr/share/pixmaps
+ cp -a ${srcdir}/${pkgbase}-${pkgver}/scripts/bat.desktop ${pkgdir}/usr/share/applications/
+ cp -a ${srcdir}/${pkgbase}-${pkgver}/src/qt-console/images/bat_icon.png ${pkgdir}/usr/share/pixmaps/
+
+ popd
+}
+
+package_bacula-fd() {
+ pkgdesc="${pkgdesc} (file daemon)"
+ backup=("etc/${pkgbase}/${pkgname}.conf")
+ optdepends=(
+ 'openssl: network encryption between daemons'
+ 'lzo: LZO compression for Storage Daemon'
+ )
+ depends=("${pkgbase}-common=${pkgver}" "tcp_wrappers")
+
+ pushd "${_instdir}"
+
+ cp --parents -a etc/${pkgbase}/${pkgname}.conf ${pkgdir}
+ cp --parents -a usr/bin/${pkgname} ${pkgdir}
+ cp --parents -a usr/lib/bpipe-fd.so ${pkgdir}
+ cp --parents -a usr/share/man/man8/${pkgname}.8.gz ${pkgdir}
+
+ mkdir -p ${pkgdir}/usr/lib/systemd/system/
+ cp -f ${srcdir}/${pkgbase}-fd.service ${pkgdir}/usr/lib/systemd/system/
+
+ popd
+}
+
+package_bacula-common() {
+ pkgdesc="${pkgdesc} (common files)"
+ pushd "${_instdir}"
+
+ cp --parents -a etc/${pkgbase}/scripts/${pkgbase}_config ${pkgdir}
+ cp --parents -a etc/${pkgbase}/scripts/btraceback.gdb ${pkgdir}
+ cp --parents -a etc/${pkgbase}/scripts/btraceback.dbx ${pkgdir}
+ cp --parents -a etc/${pkgbase}/scripts/btraceback.mdb ${pkgdir}
+ cp --parents -a usr/bin/btraceback ${pkgdir}
+ cp --parents -a usr/lib/libbac-${pkgver}.so ${pkgdir}
+ cp --parents -a usr/lib/libbaccfg-${pkgver}.so ${pkgdir}
+ cp --parents -a usr/lib/libbacfind-${pkgver}.so ${pkgdir}
+ cp --parents -a usr/share/man/man8/btraceback.8.gz ${pkgdir}
+ #cp --parents -a usr/lib/libbacpy-${pkgver}.so ${pkgdir}
+
+ popd
+}
+
+package_bacula-console() {
+ pkgdesc="${pkgdesc} (management CLI)"
+ backup=("etc/${pkgbase}/bconsole.conf")
+ depends=("${pkgbase}-common=${pkgver}")
+ pushd "${_instdir}"
+
+ cp --parents -a usr/bin/bconsole ${pkgdir}
+ cp --parents -a etc/${pkgbase}/bconsole.conf ${pkgdir}
+ cp --parents -a usr/share/man/man8/bconsole.8.gz ${pkgdir}
+
+ chmod 755 ${pkgdir}/etc/${pkgbase} ${pkgdir}/usr/bin/bconsole
+ chmod 644 ${pkgdir}/etc/${pkgbase}/bconsole.conf
+
+ popd
+}
+
+package_bacula-dir() {
+ pkgdesc="${pkgdesc} (Director)"
+ depends=("${pkgbase}-common=${pkgver}")
+ optdepends=(
+ "${pkgname}-sqlite3: SQLite support"
+ "${pkgname}-mariadb: MariaDB support"
+ "${pkgname}-postgresql: PostgreSQL support")
+ backup=("etc/${pkgbase}/${pkgname}.conf")
+ pushd "${_instdir}"
+
+ cp --parents -a etc/${pkgbase}/${pkgname}.conf ${pkgdir}
+ cp --parents -a etc/${pkgbase}/scripts/query.sql ${pkgdir}
+ cp --parents -a etc/${pkgbase}/scripts/create_${pkgbase}_database ${pkgdir}
+ cp --parents -a etc/${pkgbase}/scripts/delete_catalog_backup ${pkgdir}
+ cp --parents -a etc/${pkgbase}/scripts/drop_${pkgbase}_database ${pkgdir}
+ cp --parents -a etc/${pkgbase}/scripts/drop_${pkgbase}_tables ${pkgdir}
+ cp --parents -a etc/${pkgbase}/scripts/grant_${pkgbase}_privileges ${pkgdir}
+ cp --parents -a etc/${pkgbase}/scripts/make_${pkgbase}_tables ${pkgdir}
+ cp --parents -a etc/${pkgbase}/scripts/make_catalog_backup.pl ${pkgdir}
+ cp --parents -a etc/${pkgbase}/scripts/update_${pkgbase}_tables ${pkgdir}
+ cp --parents -a usr/bin/${pkgname} ${pkgdir}
+ cp --parents -a usr/bin/bregex ${pkgdir}
+ cp --parents -a usr/bin/bsmtp ${pkgdir}
+ cp --parents -a usr/bin/bwild ${pkgdir}
+ cp --parents -a usr/bin/dbcheck ${pkgdir}
+ cp --parents -a usr/share/man/man1/bsmtp.1.gz ${pkgdir}
+ cp --parents -a usr/share/man/man8/${pkgname}.8.gz ${pkgdir}
+ cp --parents -a usr/share/man/man8/bregex.8.gz ${pkgdir}
+ cp --parents -a usr/share/man/man8/bwild.8.gz ${pkgdir}
+ cp --parents -a usr/share/man/man8/dbcheck.8.gz ${pkgdir}
+ cp --parents -a usr/lib/libbacsql-${pkgver}.so ${pkgdir}
+
+ mkdir -p ${pkgdir}${_workdir}
+
+ mkdir -p ${pkgdir}/usr/lib/systemd/system/
+ cp -f ${srcdir}/${pkgname}.service ${pkgdir}/usr/lib/systemd/system/
+
+ ## Logwatch Support
+ mkdir -p ${pkgdir}/etc/logwatch/scripts/services/ ${pkgdir}/etc/logwatch/scripts/shared/
+ mkdir -p ${pkgdir}/etc/logwatch/conf/logfiles/ ${pkgdir}/etc/logwatch/conf/services/
+ cp -a ${srcdir}/${pkgbase}-${pkgver}/scripts/logwatch/${pkgbase} ${pkgdir}/etc/logwatch/scripts/services/
+ cp -a ${srcdir}/${pkgbase}-${pkgver}/scripts/logwatch/applybaculadate ${pkgdir}/etc/logwatch/scripts/shared/
+ cp -a ${srcdir}/${pkgbase}-${pkgver}/scripts/logwatch/logfile.${pkgbase}.conf ${pkgdir}/etc/logwatch/conf/logfiles/${pkgbase}.conf
+ cp -a ${srcdir}/${pkgbase}-${pkgver}/scripts/logwatch/services.${pkgbase}.conf ${pkgdir}/etc/logwatch/conf/services/${pkgbase}.conf
+
+ ## Logrotate Support
+ mkdir -p ${pkgdir}/etc/logrotate.d/
+ cp -a ${srcdir}/${pkgbase}-${pkgver}/scripts/logrotate ${pkgdir}/etc/logrotate.d/${pkgbase}
+}
+
+package_bacula-dir-mariadb() {
+ pkgdesc="${pkgdesc} (Director - MariaDB support)"
+ depends=("${pkgbase}-dir" 'libmariadbclient')
+ conflicts=(${_dir_backends[@]/${pkgname}})
+ replaces="${pkgbase}-dir-mysql"
+ provides="${pkgbase}-dir-mysql"
+ pushd "${_instdir}"
+
+ cp --parents -a usr/lib/libbaccats-mysql-${pkgver}.so ${pkgdir}
+ cp --parents -a usr/lib/libbaccats-mysql.so ${pkgdir}
+ cp -d usr/lib/libbaccats-mysql.so ${pkgdir}/usr/lib/libbaccats-${pkgver}.so
+ for file in etc/${pkgbase}/scripts/*mysql*; do
+ cp --parents -a "$file" "${pkgdir}"
+ done
+}
+
+package_bacula-dir-mysql() {
+ pkgdesc="${pkgdesc} (transition package)"
+ depends=("${pkgbase}-dir-mariadb")
+ pushd "${_instdir}"
+}
+
+package_bacula-dir-postgresql() {
+ pkgdesc="${pkgdesc} (Director - PostgreSQL support)"
+ depends=("${pkgbase}-dir" 'postgresql-libs')
+ conflicts=(${_dir_backends[@]/${pkgname}})
+ pushd "${_instdir}"
+
+ cp --parents -a usr/lib/libbaccats-postgresql-${pkgver}.so ${pkgdir}
+ cp --parents -a usr/lib/libbaccats-postgresql.so ${pkgdir}
+ cp -d usr/lib/libbaccats-postgresql.so ${pkgdir}/usr/lib/libbaccats-${pkgver}.so
+ for file in etc/${pkgbase}/scripts/*postgresql*; do
+ cp --parents -a "$file" "${pkgdir}"
+ done
+}
+
+package_bacula-dir-sqlite3() {
+ pkgdesc="${pkgdesc} (Director - SQLite3 support)"
+ depends=("${pkgbase}-dir" 'sqlite')
+ conflicts=(${_dir_backends[@]/${pkgname}})
+ pushd "${_instdir}"
+
+ cp --parents -a usr/lib/libbaccats-sqlite3-${pkgver}.so ${pkgdir}
+ cp --parents -a usr/lib/libbaccats-sqlite3.so ${pkgdir}
+ cp -d usr/lib/libbaccats-sqlite3.so ${pkgdir}/usr/lib/libbaccats-${pkgver}.so
+ for file in etc/${pkgbase}/scripts/*sqlite3*; do
+ cp --parents -a "$file" "${pkgdir}"
+ done
+}
+
+package_bacula-sd() {
+ pkgdesc="${pkgdesc} (Storage Daemon)"
+ backup=("etc/${pkgbase}/${pkgname}.conf")
+ depends=("${pkgbase}-common")
+ optdepends=(
+ 'openssl: network encryption between daemons'
+ 'lzo: LZO compression for Storage Daemon'
+ )
+ pushd "${_instdir}"
+
+ cp --parents -a etc/${pkgbase}/${pkgname}.conf ${pkgdir}
+ cp --parents -a usr/bin/${pkgname} ${pkgdir}
+ cp --parents -a usr/bin/bextract ${pkgdir}
+ cp --parents -a usr/bin/bls ${pkgdir}
+ cp --parents -a usr/bin/bcopy ${pkgdir}
+ cp --parents -a usr/bin/bscan ${pkgdir}
+ cp --parents -a usr/bin/btape ${pkgdir}
+ cp --parents -a usr/share/man/man8/${pkgname}.8.gz ${pkgdir}
+ cp --parents -a usr/share/man/man8/bextract.8.gz ${pkgdir}
+ cp --parents -a usr/share/man/man8/bls.8.gz ${pkgdir}
+ cp --parents -a usr/share/man/man8/bcopy.8.gz ${pkgdir}
+ cp --parents -a usr/share/man/man8/bscan.8.gz ${pkgdir}
+ cp --parents -a usr/share/man/man8/btape.8.gz ${pkgdir}
+
+ mkdir -p ${pkgdir}${_workdir}
+
+ mkdir -p ${pkgdir}/usr/lib/systemd/system/
+ cp -f ${srcdir}/${pkgname}.service ${pkgdir}/usr/lib/systemd/system/
+}